# Partially update customer product Endpoint: PATCH /enrichment/customer-products/{externalId} Version: 2.68.0 Security: OAuth2 ## Path parameters: - `externalId` (string, required) Previously sent externalId ## Request fields (application/merge-patch+json): - `externalId` (string, required) External id of the customer product that is globally unique across the provided customer product data Example: "DE01-1000004711-CUST-ABC-4711" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `externalCustomerId` (string) External unique id of the customer in the source system Example: "1000004711" - `externalProductId` (string) Unique id of the product in the source system that links the customer product to the internal product master Example: "DE01-MAT-000123" - `customerProductNumber` (string) Product number used by the customer to identify the product Example: "CUST-ABC-4711" - `unspsc` (string) United Nations Standard Products and Services Code of the product Example: "43211508" - `ean` (string) European Article Number (EAN-13) Example: "4006381333931" - `upc` (string) Universal Product Code (UPC-A) Example: "036000291452" - `gtin` (string) Global Trade Item Number (GTIN) according to GS1 standards. A globally unique identifier for trade items and products. Example: "4006381333931" - `customsTariffNumber` (string) Customs tariff number (HS/TARIC code) used for cross-border trade and customs Example: "8471300000" - `customerProductDescription` (string) Product description used by the customer Example: "Laptop 14 inch business model" - `salesOrganizationCode` (string) Sales organization for which the customer product is valid Example: "DE01" - `distributionChannel` (string) Distribution channel for sales Example: "10" - `division` (string) Division under which the sales organization operates Example: "00" - `baseUnitOfMeasure` (string) The base unit in which the product is managed in the system Example: "kg" - `status` (string) Current status of the customer product Example: "ACTIVE" - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 200 fields (application/json): - `externalId` (string, required) External id of the customer product that is globally unique across the provided customer product data Example: "DE01-1000004711-CUST-ABC-4711" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `externalCustomerId` (string) External unique id of the customer in the source system Example: "1000004711" - `externalProductId` (string) Unique id of the product in the source system that links the customer product to the internal product master Example: "DE01-MAT-000123" - `customerProductNumber` (string) Product number used by the customer to identify the product Example: "CUST-ABC-4711" - `unspsc` (string) United Nations Standard Products and Services Code of the product Example: "43211508" - `ean` (string) European Article Number (EAN-13) Example: "4006381333931" - `upc` (string) Universal Product Code (UPC-A) Example: "036000291452" - `gtin` (string) Global Trade Item Number (GTIN) according to GS1 standards. A globally unique identifier for trade items and products. Example: "4006381333931" - `customsTariffNumber` (string) Customs tariff number (HS/TARIC code) used for cross-border trade and customs Example: "8471300000" - `customerProductDescription` (string) Product description used by the customer Example: "Laptop 14 inch business model" - `salesOrganizationCode` (string) Sales organization for which the customer product is valid Example: "DE01" - `distributionChannel` (string) Distribution channel for sales Example: "10" - `division` (string) Division under which the sales organization operates Example: "00" - `baseUnitOfMeasure` (string) The base unit in which the product is managed in the system Example: "kg" - `status` (string) Current status of the customer product Example: "ACTIVE" - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 400 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 404 fields (application/json): - `type` (string) A URI reference that uniquely identifies the problem type only in the context of the provided API. Opposed to the specification in RFC-7807, it is neither recommended to be dereferenceable and point to a human-readable documentation nor globally unique for the problem type. Example: "/some/uri-reference" - `title` (string) A short summary of the problem type. Written in English and readable for engineers, usually not suited for non technical stakeholders and not localized. Example: "some title for the error situation" - `status` (integer) The HTTP status code generated by the origin server for this occurrence of the problem. - `detail` (string) A human readable explanation specific to this occurrence of the problem that is helpful to locate the problem and give advice on how to proceed. Written in English and readable for engineers, usually not suited for non technical stakeholders and not localized. Example: "some description for the error situation" - `instance` (string) A URI reference that identifies the specific occurrence of the problem, e.g. by adding a fragment identifier or sub-path to the problem type. May be used to locate the root of this problem in the source code. Example: "/some/uri-reference#specific-occurrence-context" ## Response 415 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields